Installation Media - Bug #2033

systemd/LXDE netinstall Graphical Installer fails to install the system
2018-10-10 10:53 PM - james

Status: open % Done: 0%
Priority: broken

Assignee: bill-auger

Category: Installer

Description

The installation fails while attempting to wipe the current (NVME) ssd, giving error: target not found: unar
This prevents installation of the OS through the graphical installer. | know it's still under development, and | think | can help with this.

uname -a
Linux parabolaiso 4.16.13-gnu-1 #1 SMP PREEMPT Sat Jun 2 05:58:26 UTC 2018 x86_64 GNU/Linux

Related issues:
Related to Installation Media - Bug #2132: [unar]: Broken dependency icu<62 not-a-bug

History

#1 - 2018-10-10 11:06 PM - bill-auger

the temporary fix for that ISO is to run this command before installing:

$ sudo sed -i 's|unar|unarchiver|' /usr/share/calamares/modules/pacstrap-base.conf

#2-2018-10-10 11:08 PM - james

i've just been told to be hesitant to share drive details, serial numbers, etc. forgive me for my paranoia

#3 - 2018-10-10 11:14 PM - james

Looks like it's just an issue with pacstrap:

2018-10-10 - 18:44:28 [1]: [PACSTRAP]: shell command exited= "pacman -S --print --config /etc/pacman.conf --root /tmp/calamares-root-ptd8h_cs
grub grub2-theme-gnuaxiom mkinitcpio-openswap linux-libre bash-completion p7zip sudo unar unzip zip base gpm haveged hdparm networkmanager
ntp openssh openvpn rsync wpa_supplicant”

It exits because unar is no longer in the registry. Any way | can modify this from inside the LiveBoot environment?

#4 - 2018-10-10 11:24 PM - bill-auger
- Priority changed from bug to broken
- Assignee set to bill-auger

- Category set to Installer

#5 - 2018-10-22 12:58 AM - freemor

Could this be solved for the time being by creating a unar metapackage that:
requires: unarchiver
Provides: unar

or the like. and just keep it about until new ISOs are rolled and we are fairly certain that most people are off the old ones?
Or am | just being bonkers here

#6 - 2018-10-31 05:09 AM - bill-auger
- Subject changed from LXDE systemd netinstall Graphical Installer Still using unar rather than unarchive to systemd/LXDE netinstall Graphical

Installer fails to install the system

#7 - 2019-01-19 03:54 AM - bill-auger
- Related to Bug #2132: [unar]: Broken dependency icu<62 added

#8 - 2019-02-05 06:35 PM - james

Speaking of new ISOs, when are they coming? Alternatively, can | get the source code to build my own "master" branch ISO?
#9 - 2019-02-05 07:10 PM - james
FIXIF YOU DON'T CARE ABOUT SECURITY

This doesn't really relate to the installer script method, but if you're manually installing using pacstrap and you run into the dependency issue (#2132)
just disable keychecking in /etc/pacman.conf lol

GPG, who needs it?

#10 - 2019-02-05 10:05 PM - freemor

The advice above is completely wrong for the unar issue

unar is deprecated and no longer in the repos - thus the failure. If you are installing manually just use unarchiver instead of unar
The advice is also wrong for almost ALL gpg/keyring issues. Those are easy to fix with re-syncing the keyrings with the current.
In almost NO circumstances should the above "disable checking" be used

#11 - 2019-02-05 10:08 PM - james

Well yeah, | mean, the circumstance the above is for is if you can't re-sync the keyrings.

#12 - 2019-02-06 02:27 AM - bill-auger

james i dont understand your issue today - what do you mean "can't re-sync the keyrings"

all you need to do to get the installer to work on that ISO is apply the sed command above, then reset the keyring as explained on this wiki page

i hope you have not been waiting 4 months for the new ISO - i apologize for the delay but i have been very busy lately and i just did not consider this
to be so fatally broken yet as to be a high-priority

you can always build your own ISO from source, though in this case, the very same change described above would need to be applied at the source
level (though, i think i made that code change already - i cant remember) - somewhat simpler, you could also use the remastering method and simply
apply that sed line to the image file-system then repack it - but if all you are trying to do is install once, then either of those are just more difficult ways
to accomplish the thing you can do with the ISO you have

come onto the IRC if you can - i have walked several people through this - it takes only minutes
